@extends('admin.layout')

@section('content')
    <div class="wrapper wrapper-content animated fadeInRight">
        <div class="row">
            <div class="col-sm-12">
                <div class="ibox float-e-margins">
                    <div class="ibox-title">
                        <h5>系统设置</h5>
                        <div class="ibox-tools">
                            <a class="collapse-link"> <i class="fa fa-chevron-up"></i>
                            </a>
                        </div>
                    </div>
                    <div class="ibox-content">
                        <div class="row">
                            <form method="GET" action="" accept-charset="UTF-8">

                                <div class="col-sm-4">
                                    <div class="input-group">
                                        <input type="text" value="{{Request::get('keyword')}}" placeholder="请输入关键词"
                                               name="keyword" class="input-sm form-control">
                                        <span class="input-group-btn">
									<button type="submit" class="btn btn-sm btn-primary">搜索</button>
								</span>
                                    </div>
                                </div>
                            </form>
                            @if(role('Album/Manufacturer/create'))
                                <div class="col-sm-3 pull-right">
                                    <a href="{{ U('Album/Manufacturer/create')}}"
                                       class="btn btn-sm btn-primary pull-right">添加</a>
                                </div>
                            @endif
                        </div>

                        <table class="table table-striped table-bordered table-hover dataTables-example dataTable">
                            <thead>
                            <tr>

                                <th class="sorting" data-sort="id"></th>
                                <th class="sorting" data-sort="store_id">商户ID</th>
                                <th class="sorting" data-sort="logo">商户LOGO</th>
                                <th class="sorting" data-sort="name"> 名称</th>
                                <th class="sorting" data-sort="illustrated_name"> 电子画报名称</th>
                                <th class="sorting" data-sort="avatar"> 头像链接</th>
                                <th class="sorting" data-sort="phone"> 电话</th>
                                <th class="sorting" data-sort="address"> 地址</th>
                                <th width="22%">相关操作</th>
                            </tr>
                            </thead>
                            <tbody>
                            @if(isset($list))
                                @foreach($list as $key => $item)
                                    <tr>

                                        <td>{{ $item->id }}</td>
                                        <td>{{ $item->store_id }}</td>
                                        <td><img style="width: 50px" src="{{ $item->logo }}" alt=""></td>
                                        <td>{{ $item->name }}</td>
                                        <td>{{ $item->illustrated_name }}</td>
                                        <td><img style="width: 50px" src="{{ $item->avatar }}" alt=""></td>
                                        <td>{{ $item->phone }}</td>
                                        <td>{{ $item->address }}</td>
                                        <td>
                                            <div class="btn-group">
                                                <button onclick="window.open('{{ U('/Base/Index/welcome',['store_id'=>$item->store_id])}}','_blank')"
                                                        class="btn btn-warning btn-sm "
                                                        aria-expanded="false">
                                                    进入
                                                </button>
                                                <ul class="dropdown-menu">
                                                    @if(role('Album/Manufacturer/destroy'))
                                                        <li class="divider"></li>
                                                        <li><a href="{{ U('Album/Manufacturer/destroy',['id'=>$item->id])}}" onclick="return confirm('你确定执行删除操作，该操作将会删除厂家所有数据？');">删除</a></li>
                                                    @endif

                                                </ul>
                                            </div>
                                            @if(role('Album/Manufacturer/view'))
                                                <button onclick="layer.open({type: 2,area: ['80%', '90%'],content: '{{ U('Album/Manufacturer/view',['id'=>$item->id])}}'});"
                                                        class="btn btn-primary ">查看
                                                </button>
                                            @endif
                                        </td>
                                    </tr>
                                @endforeach
                            @endif

                            </tbody>
                        </table>
                        <div class="row">
                            <div class="col-sm-6">
                                <div class="dataTables_info" id="DataTables_Table_0_info"
                                     role="alert" aria-live="polite" aria-relevant="all">每页{{ $list->count() }}
                                    条，共{{ $list->lastPage() }}页，总{{ $list->total() }}条。
                                </div>
                            </div>
                            <div class="col-sm-6">
                                <div class="dataTables_paginate paging_simple_numbers" id="DataTables_Table_0_paginate">
                                    {!! $list->setPath('')->appends(Request::all())->render() !!}
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
@endsection